# session_reset

(PHP 5 >= 5.6.0, PHP 7)

session_reset — Re-initialize session array with original values

### Description

session_reset ( void ) : bool

session_reset() reinitializes a session with original values stored in session storage. This function requires an active session and discards changes in $_SESSION.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
7.2.0 | The return type of this function is bool now. Formerly, it has been void.

### See Also

- $_SESSION
- The session.auto_start configuration directive
- session_start() - Start new or resume existing session
- session_abort() - Discard session array changes and finish session
- session_commit() - Alias of session_write_close